ListCoreNetworkRoutingInformation
Lists routing information for a core network, including routes and their attributes.
Request Syntax
POST /core-networks/coreNetworkId/core-network-routing-information?maxResults=MaxResults&nextToken=NextToken HTTP/1.1
Content-type: application/json
{
"CommunityMatches": [ "string" ],
"EdgeLocation": "string",
"ExactAsPathMatches": [ "string" ],
"ExactPrefixMatches": [ "string" ],
"LocalPreferenceMatches": [ "string" ],
"LongestPrefixMatches": [ "string" ],
"MedMatches": [ "string" ],
"NextHopFilters": {
"string" : [ "string" ]
},
"SegmentName": "string",
"SubnetOfMatches": [ "string" ],
"SupernetOfMatches": [ "string" ]
}
URI Request Parameters
The request uses the following URI parameters.
- coreNetworkId
-
The ID of the core network to retrieve routing information for.
Length Constraints: Minimum length of 0. Maximum length of 50.
Pattern:
^core-network-([0-9a-f]{8,17})$Required: Yes
- MaxResults
-
The maximum number of routing information entries to return in a single page.
Valid Range: Minimum value of 1. Maximum value of 500.
- NextToken
-
The token for the next page of results.
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]*
Request Body
The request accepts the following data in JSON format.
- CommunityMatches
-
BGP community values to match when filtering routing information.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
- EdgeLocation
-
The edge location to filter routing information by.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 63.
Pattern:
[\s\S]*Required: Yes
- ExactAsPathMatches
-
Exact AS path values to match when filtering routing information.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
- ExactPrefixMatches
-
Exact prefix values to match when filtering routing information.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
- LocalPreferenceMatches
-
Local preference values to match when filtering routing information.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
- LongestPrefixMatches
-
Filters routing information based on the longest prefix that matches each provided IP address.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
- MedMatches
-
Multi-Exit Discriminator (MED) values to match when filtering routing information.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
- NextHopFilters
-
Filters to apply based on next hop information. Each filter value must exactly match the corresponding next hop value. Values for the same filter are joined with OR, and different filters are joined with AND. The following filters are supported:
-
core-network-attachment-id: The ID of the core network attachment for the next hop, for exampleattachment-0123456789abcdef0. -
segment-name: The name of the segment for the next hop. -
edge-location: The edge location for the next hop, for exampleus-east-1. -
resource-id: The ID of the resource for the next hop. -
resource-type: The type of resource for the next hop. The possible values arevpc,vpn,connect-peer,direct-connect-gateway,transit-gateway-route-table,attachment, andblackhole. -
ip-address: The IP address of the next hop. For a Site-to-Site VPN next hop, this is the outside IP address of the AWS side of the VPN tunnel. For a Connect peer next hop, this is the core network BGP address of the Connect peer. The value must be a single IPv4 or IPv6 address.
You can specify up to 10 filter values in total across
NextHopFiltersand the other match parameters in the request. Each filter value can be up to 256 characters.Type: String to array of strings map
Key Length Constraints: Maximum length of 128.
Key Pattern:
^[0-9a-zA-Z\.-]*$Length Constraints: Maximum length of 255.
Pattern:
^[0-9a-zA-Z\*\.\\/\?-]*$Required: No
-
- SegmentName
-
The name of the segment to filter routing information by.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: Yes
- SubnetOfMatches
-
Prefix values to filter routing information whose prefix is a subnet of the prefixes provided.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
- SupernetOfMatches
-
Prefix values to filter routing information whose prefix is a supernet of the prefixes provided.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 256.
Pattern:
[\s\S]*Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"CoreNetworkRoutingInformation": [
{
"AsPath": [ "string" ],
"Communities": [ "string" ],
"LocalPreference": "string",
"Med": "string",
"NextHop": {
"CoreNetworkAttachmentId": "string",
"EdgeLocation": "string",
"IpAddress": "string",
"ResourceId": "string",
"ResourceType": "string",
"SegmentName": "string"
},
"Prefix": "string"
}
],
"NextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- CoreNetworkRoutingInformation
-
The list of routing information for the core network.
Type: Array of CoreNetworkRoutingInformation objects
- NextToken
-
The token for the next page of results.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 2048.
Pattern:
[\s\S]*
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed due to an internal error.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource could not be found.
- Context
-
The specified resource could not be found.
- ResourceId
-
The ID of the resource.
- ResourceType
-
The resource type.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
- RetryAfterSeconds
-
Indicates when to retry the request.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints.
- Fields
-
The fields that caused the error, if applicable.
- Reason
-
The reason for the error.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: